# Interface QueryFields

#### Hierarchy

- QueryFields

- Defined in modules/packages/module/packages/model/dist/types/Query/Payload.d.ts:2

#####
Index

### Properties

address?
budget?
maxFrequency?
minBid?

## Properties

### `Optional` address

address?: string | [string]

### Field

The addresses of the intended handlers

- Defined in modules/packages/module/packages/model/dist/types/Query/Payload.d.ts:4

### `Optional` budget

budget?: number

### Field

The maximum XYO that can be spent executing the query

- Defined in modules/packages/module/packages/model/dist/types/Query/Payload.d.ts:6

### `Optional` maxFrequency

maxFrequency?: "once" | "second" | "minute" | "hour" | "day" | "week" | "month" | "year"

### Field

The frequency on which this query can be rerun

- Defined in modules/packages/module/packages/model/dist/types/Query/Payload.d.ts:8

### `Optional` minBid

minBid?: number

### Field

The starting point for the bidding on the query

- Defined in modules/packages/module/packages/model/dist/types/Query/Payload.d.ts:10

Generated using TypeDoc